Unable to install any packages on Mac


#1

I recently downloaded the latest version on my Mac to start developing and the download went perfectly ok. I am running High Sierra 10.13.2 on my mac.

After downloading atom I went to add a few packages and no matter what package I tried to install I got an error that looked like this:

gyp info it worked if it ends with ok
gyp info using node-gyp@3.4.0
gyp info using node@6.9.5 | darwin | x64
gyp http GET https://atom.io/download/electron/v2.0.5/iojs-v2.0.5.tar.gz
gyp WARN install got an error, rolling back install
gyp ERR! install error
gyp ERR! stack Error: self signed certificate in certificate chain
gyp ERR! stack at Error (native)
gyp ERR! stack at TLSSocket. (_tls_wrap.js:1079:38)
gyp ERR! stack at emitNone (events.js:86:13)
gyp ERR! stack at TLSSocket.emit (events.js:185:7)
gyp ERR! stack at TLSSocket._finishInit (_tls_wrap.js:603:8)
gyp ERR! stack at TLSWrap.ssl.onhandshakedone (_tls_wrap.js:433:38)
gyp ERR! System Darwin 17.3.0

any help is greatly appreciated on how to be able to install packages!


#2

There have been multiple reports on similar issues. Search is your friend.